Cassandra.get_multi_slice_args (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class Cassandra.get_multi_slice_args

- java.lang.Object
- - org.apache.cassandra.thrift.Cassandra.get_multi_slice_args

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.get_multi_slice_args>, org.apache.thrift.TBase<Cassandra.get_multi_slice_args,Cassandra.get_multi_slice_args._Fields>
  Enclosing class:
    Cassandra

      public static class Cassandra.get_multi_slice_args
      extends java.lang.Object
      implements org.apache.thrift.TBase<Cassandra.get_multi_slice_args,Cassandra.get_multi_slice_args._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.get_multi_slice_args>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Cassandra.get_multi_slice_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Map<Cassandra.get_multi_slice_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `MultiSliceRequest` | `request`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `get_multi_slice_args()`
    `get_multi_slice_args(Cassandra.get_multi_slice_args other)` Performs a deep copy on other.
    `get_multi_slice_args(MultiSliceRequest request)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(Cassandra.get_multi_slice_args other)`
    `Cassandra.get_multi_slice_args` | `deepCopy()`
    `boolean` | `equals(Cassandra.get_multi_slice_args that)`
    `boolean` | `equals(java.lang.Object that)`
    `Cassandra.get_multi_slice_args._Fields` | `fieldForId(int fieldId)`
    `java.lang.Object` | `getFieldValue(Cassandra.get_multi_slice_args._Fields field)`
    `MultiSliceRequest` | `getRequest()`
    `int` | `hashCode()`
    `boolean` | `isSet(Cassandra.get_multi_slice_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetRequest()` Returns true if field request is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `void` | `setFieldValue(Cassandra.get_multi_slice_args._Fields field, java.lang.Object value)`
    `Cassandra.get_multi_slice_args` | `setRequest(MultiSliceRequest request)`
    `void` | `setRequestIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetRequest()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### request

          public MultiSliceRequest request

    - #### metaDataMap

          public static final java.util.Map<Cassandra.get_multi_slice_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### get_multi_slice_args

          public get_multi_slice_args()

    - #### get_multi_slice_args

          public get_multi_slice_args(MultiSliceRequest request)

    - #### get_multi_slice_args

          public get_multi_slice_args(Cassandra.get_multi_slice_args other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public Cassandra.get_multi_slice_args deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.get_multi_slice_args,Cassandra.get_multi_slice_args._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<Cassandra.get_multi_slice_args,Cassandra.get_multi_slice_args._Fields>`

    - #### getRequest

          public MultiSliceRequest getRequest()

    - #### setRequest

          public Cassandra.get_multi_slice_args setRequest(MultiSliceRequest request)

    - #### unsetRequest

          public void unsetRequest()

    - #### isSetRequest

          public boolean isSetRequest()

      Returns true if field request is set (has been assigned a value) and false otherwise

    - #### setRequestIsSet

          public void setRequestIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(Cassandra.get_multi_slice_args._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_multi_slice_args,Cassandra.get_multi_slice_args._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(Cassandra.get_multi_slice_args._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_multi_slice_args,Cassandra.get_multi_slice_args._Fields>`

    - #### isSet

          public boolean isSet(Cassandra.get_multi_slice_args._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<Cassandra.get_multi_slice_args,Cassandra.get_multi_slice_args._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(Cassandra.get_multi_slice_args that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Cassandra.get_multi_slice_args other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<Cassandra.get_multi_slice_args>`

    - #### fieldForId

          public Cassandra.get_multi_slice_args._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.get_multi_slice_args,Cassandra.get_multi_slice_args._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TBase<Cassandra.get_multi_slice_args,Cassandra.get_multi_slice_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TBase<Cassandra.get_multi_slice_args,Cassandra.get_multi_slice_args._Fields>`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright © 2018 The Apache Software Foundation